using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using NetPanel.Entity;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;

namespace NetPanel.Controllers
{
    public class HomeController : Controller
    {

        public IActionResult Index()
        {

            ViewBag.data = new List<Menu>()
            {
                    new Menu()
                     {
                        Id=1,
                      MenuName="列表",
                      Icon="nav-icon fas fa-th",
                        Child=new List<Menu>(){
                          new Menu{  MenuName="已有插件" , Url="/DataList/JsonData"},
                          new Menu{  MenuName="模板插件" , Url="/DataList/JsonDataV7"},
                          new Menu{  MenuName="404列表" , Url="/DataList/DownloadFileList"},
                        }
                     }

                };

            return View();

        }

        public IActionResult Privacy()
        {
            return View();
        }



    }
}
